Tool: get_connector
Get the details of an existing Google Cloud Managed Service for Apache Kafka Connect connector. Please provide the Project ID, Location, Connect Cluster ID, and Connector ID.
A GetConnectorRequest is used to retrieve a connector.
name(required): The name of the connector to retrieve. Structured likeprojects/{project}/locations/{location}/connectClusters/{connectCluster}/connectors/{connector}.
The following sample demonstrate how to use curl to invoke the get_connector MCP tool.
| Curl Request |
|---|
curl --location 'https://managedkafka.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_connector", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request for GetConnector.
GetConnectorRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the connector whose configuration to return. Structured like: projects/{project}/locations/{location}/connectClusters/{connectCluster}/connectors/{connector} |
Output Schema
A Kafka Connect connector in a given ConnectCluster.
Connector
| JSON representation |
|---|
{ "name": string, "configs": { string: string, ... }, "state": enum ( |
| Fields | |
|---|---|
name |
Identifier. The name of the connector. Structured like: projects/{project}/locations/{location}/connectClusters/{connect_cluster}/connectors/{connector} |
configs |
Optional. Connector config as keys/values. The keys of the map are connector property names, for example: An object containing a list of |
state |
Output only. The current state of the connector. |
Union field restart_policy. A policy that specifies how to restart the failed connectors/tasks in a Cluster resource. If not set, the failed connectors/tasks won't be restarted. restart_policy can be only one of the following: |
|
taskRestartPolicy |
Optional. Restarts the individual tasks of a Connector. |
TaskRetryPolicy
| JSON representation |
|---|
{ "minimumBackoff": string, "maximumBackoff": string, "taskRetryDisabled": boolean } |
| Fields | |
|---|---|
minimumBackoff |
Optional. The minimum amount of time to wait before retrying a failed task. This sets a lower bound for the backoff delay. A duration in seconds with up to nine fractional digits, ending with ' |
maximumBackoff |
Optional. The maximum amount of time to wait before retrying a failed task. This sets an upper bound for the backoff delay. A duration in seconds with up to nine fractional digits, ending with ' |
taskRetryDisabled |
Optional. If true, task retry is disabled. |
Duration
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Signed seconds of the span of time. Must be from -315,576,000,000 to +315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min * 60 min/hr * 24 hr/day * 365.25 days/year * 10000 years |
nanos |
Signed fractions of a second at nanosecond resolution of the span of time. Durations less than one second are represented with a 0 |
ConfigsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌